#include <bits/stdc++.h>

using namespace std;


int main()
{
    int n;
    cin>>n;
    int jela[n];
    for(int i=0; i<n; i++)
    {
        cin>>jela[i];
    }
    map<int, vector<int>> recepti;
    int unos;
    for(int i=0; i<n; i++)
    {
        cin>>unos;
        recepti[unos].push_back(i+1);
    }
    vector<int> ponavljanja(n+1,0);
    for(int i=0; i<n; i++)
    {
        cin>>unos;
        ponavljanja[unos]++;
    }
    int nacini=0;
    for(int i=0; i<n; i++)
    {
        int m=recepti[jela[i]].size();
        for(int j=0; j<m; j++)
        {
            nacini+=ponavljanja[recepti[jela[i]][j]];
        }
    }
    cout<<nacini;

}